
# ----------------------------------------------------------------------
# Caco plush

all : \
	../sounds/cacoplushie_throw.ogg \
	../sounds/cacoplushie_despawn.ogg \
	../sprites/cacoplush/cacoplushie_idle.png \
	../sprites/cacoplush/cacoplushie_glowing1.png \
	../sprites/cacoplush/cacoplushie_glowing2.png \
	../sprites/cacoplush/cacoplushie_glowing3.png \
	../sprites/cacoplush/cacoplushie_pickup.png \
	../sprites/cacoplush/bright_cacoplushie_idle.png \
	../sprites/cacoplush/bright_cacoplushie_pickup.png \
	../sprites/cacoplush/bright_cacoplushie_glowing1.png \
	../sprites/cacoplush/bright_cacoplushie_glowing2.png \
	../sprites/cacoplush/bright_cacoplushie_glowing3.png

# Sounds
../sounds/cacoplushie_despawn.ogg : cacoplushie_despawn.wav
	ffmpeg -i $^ "-filter:a" "volume=1.0" $@

../sounds/cacoplushie_throw.ogg : cacoplushie_throw.wav
	ffmpeg -i $^ "-filter:a" "volume=1.0" $@

# Sprites
../sprites/cacoplush/cacoplushie_idle.png : cacoplushie.aseprite
	aseprite -b $^ \
		--ignore-layer "brightmap" \
		--frame-range 0,0 --save-as $@

../sprites/cacoplush/cacoplushie_pickup.png : cacoplushie.aseprite
	aseprite -b $^ \
		--ignore-layer "brightmap" \
		--frame-range 0,0 \
		--save-as $@

../sprites/cacoplush/cacoplushie_glowing1.png \
../sprites/cacoplush/cacoplushie_glowing2.png \
../sprites/cacoplush/cacoplushie_glowing3.png : cacoplushie.aseprite
	aseprite -b $^ \
		--ignore-layer "brightmap" \
		--frame-range 1,3 --save-as ../sprites/cacoplush/cacoplushie_glowing.png


# Brightmaps
../sprites/cacoplush/bright_cacoplushie_idle.png : cacoplushie.aseprite
	aseprite -b $^ \
		--layer "brightmap" \
		--frame-range 0,0 --save-as $@

../sprites/cacoplush/bright_cacoplushie_pickup.png : cacoplushie.aseprite
	aseprite -b $^ \
		--layer "brightmap" \
		--frame-range 0,0 \
		--save-as $@

../sprites/cacoplush/bright_cacoplushie_glowing1.png \
../sprites/cacoplush/bright_cacoplushie_glowing2.png \
../sprites/cacoplush/bright_cacoplushie_glowing3.png : cacoplushie.aseprite
	aseprite -b $^ \
		--layer "brightmap" \
		--frame-range 1,3 --save-as ../sprites/cacoplush/bright_cacoplushie_glowing.png

